Author Topic: SFML-PI updated to 2.5.1  (Read 693 times)

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
SFML-PI updated to 2.5.1
« on: August 23, 2020, 05:05:30 AM »
Hi, I've finally synchronized my SFML-PI 2.5.1 X11 branch with Mickelson's 2.4.0 X11/KMS
Before I create a pull request would you please try it under X11 and KMS on PI3 and PI4 and report any problems here, or on Github?
Thanks.

https://github.com/oomek/sfml-pi

UPDATE:
It has been merged by Andrew on 25/09/2020. Thanks for your tests.
« Last Edit: September 25, 2020, 11:22:57 AM by Oomek »

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #1 on: August 24, 2020, 09:39:32 AM »
No one interested?

progets

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1098
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #2 on: August 25, 2020, 11:17:53 PM »
Will this allow AM use on a Pi 4 without X11?

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #3 on: August 26, 2020, 01:55:21 AM »
It's the current Mickelson's master branch updated to 2.5.1 so yes just USE_DRM as before

walknight

  • Full Member
  • ***
  • Posts: 25
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #4 on: August 26, 2020, 08:02:29 AM »
I can try it under KMS. I'm using rockchip though.
Anything I should pay special attention to?

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #5 on: August 26, 2020, 08:05:18 AM »
Anything unusual.

tonberryhunter

  • Full Member
  • ***
  • Posts: 57
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #6 on: September 11, 2020, 12:34:33 AM »
Anything unusual.

Could you make an easy to understand guide (with copy pasteable code) on how to update Attract Mode with your build?  Your Github guide doesn't really explain it well.  I'm trying to fix the white border around wheel images and someone pointed me here.   

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #7 on: September 11, 2020, 05:10:46 PM »
What platform you're on? PI3, PI4? What backend GLES, KMS/DRM?

davisband

  • Jr. Member
  • **
  • Posts: 10
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #8 on: September 14, 2020, 11:27:50 AM »
I tried compiling using the instructions here for a raspberry pi 3b+
https://github.com/mickelson/attract/wiki/Compiling-on-the-Raspberry-Pi-(Raspbian-Jessie)

I swapped out this...
git clone --depth 1 https://github.com/mickelson/sfml-pi sfml-pi

with...
git clone --depth 1 https://github.com/oomek/sfml-pi sfml-pi

When everything was done I got a segmentation fault when trying to launch attract.  I am guessing I might of missed a dependency?

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #9 on: September 14, 2020, 11:29:14 AM »
Have you rebuilt Attract Mode?

davisband

  • Jr. Member
  • **
  • Posts: 10
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #10 on: September 14, 2020, 11:52:50 AM »
Yeah, I rebuilt SFML-PI, FFMPEG, and attract mode.  I can try again to make sure I didn't miss something.

Is that correct to just swap out the GIT line for your repo?

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #11 on: September 14, 2020, 12:51:30 PM »
Yes, you just change mickelson to oomek. Just make sure the SFML build folder is empty before rebuilding a new version. You do not need to rebuild ffmpeg

tonberryhunter

  • Full Member
  • ***
  • Posts: 57
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #12 on: September 15, 2020, 06:14:53 PM »
What platform you're on? PI3, PI4? What backend GLES, KMS/DRM?

The latest Retropie Buster 4.6 image for Pi3.  I installed Attract Mode from source via the Retropie Setup menu.   

Oomek

  • Administrator
  • Sr. Member
  • *****
  • Posts: 308
  • Radek Dutkiewicz
    • View Profile
    • github.com/oomek
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #13 on: September 18, 2020, 01:59:45 PM »
If you could find that update script and if it compiles SFML from source all you need to do is to change the github.com/mickelson/sfml-pi to github.com/oomek/sfml-pi until it gets merged

davisband

  • Jr. Member
  • **
  • Posts: 10
    • View Profile
Re: SFML-PI updated to 2.5.1 - Testers needed
« Reply #14 on: September 21, 2020, 11:38:40 AM »
Just wanted to report back that recompiling (swapping mickelson to oomek) worked great.  It also fixed the border issue on my wheet art.

Thank you!!!